import request from '@/utils/request'

// 查询灭火器材列表
export function listAnnihilator(query) {
  return request({
    url: '/dev/annihilator/list',
    method: 'get',
    params: query
  })
}

// 查询灭火器材详细
export function getAnnihilator(id) {
  return request({
    url: '/dev/annihilator/' + id,
    method: 'get'
  })
}

// 新增灭火器材
export function addAnnihilator(data) {
  return request({
    url: '/dev/annihilator',
    method: 'post',
    data: data
  })
}

// 修改灭火器材
export function updateAnnihilator(data) {
  return request({
    url: '/dev/annihilator',
    method: 'put',
    data: data
  })
}

// 删除灭火器材
export function delAnnihilator(id) {
  return request({
    url: '/dev/annihilator/' + id,
    method: 'delete'
  })
}
